@import "../colours";

.sdm-entry {
  display: inline-flex;
  flex-direction: column;
  vertical-align: top;
  white-space: normal;
  overflow-wrap: break-word;

  .sdm-name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: clip;

    cursor: pointer;

    &:hover {
      background-color: lightblue;
    }

    @import "../themes/error";
  }

  .sdm-assignees {
    @import "demonstrator";

    &.selected {
      background-color: $sdm-color-text-highlight;
    }

    flex: 1;
    cursor: pointer;
  }

  .sdm-state-bar {
    height: 1.5em;

    .sdm-status {
      height: 1em;
      width: 1em;
      cursor: pointer;
    }
  }
}
